Package: groovy.swing.factory

## [Groovy] Class EmptyBorderFactory

- groovy.swing.factory.EmptyBorderFactory

-     class EmptyBorderFactory
      extends SwingBorderFactory

  accepts values in lieu of attributes: int - all of top, left, bottom, right [int, int, int, int] - top, left, bottom, right accepts attributes when no value present: top: int, left: int, bottom: int, right: int

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EmptyBorderFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SwingBorderFactory` | `isLeaf, onHandleNodeAttributes, setParent`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### EmptyBorderFactory()

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)